Skip to main content
POST
/
businesses
Register a business
curl --request POST \
  --url https://api.guile.app/businesses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<string>",
  "allows": {
    "payouts": true,
    "instantPayouts": true,
    "cardPayments": true
  }
}

Body

application/json

Properties required to register a business for payment processing and payouts.

paymentProcessor
enum<string>
required

The name of the external service providing payment processing.

Available options:
stripe
stripe
object

Properties required to register a business with Stripe. This is required when paymentProcessor is stripe

Response

Created.

Representation of a registered business for payment processing and payouts.

id
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

paymentProcessor
enum<string>
required

The name of the external service providing payment processing.

Available options:
stripe
state
enum<string>
required

The state of the business registration.

Available options:
approved,
pending,
rejected
allows
object
required

The capabilities allowed for this business.